var info = {"examples":[{"link":"accessible.html","example":"accessible.html","title":"Accessibility example","shortdesc":"Example of an accessible map.","tags":"accessibility, tabindex","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"animation.html","example":"animation.html","title":"Animation example","shortdesc":"Demonstrates animated pan, zoom, and rotation.","tags":"animation","requires":["ol.Map","ol.View","ol.animation","ol.control","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"arcgis-tiled.html","example":"arcgis-tiled.html","title":"Tiled ArcGIS MapServer example","shortdesc":"Example of a tiled ArcGIS layer.","tags":"arcgis, tile, tilelayer\"","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest","ol.source.TileArcGISRest"]},{"link":"attributions.html","example":"attributions.html","title":"Attributions example","shortdesc":"Example of a attributions visibily change on map resize, to collapse them on small maps.","tags":"attributions, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.control.Attribution","ol.layer.Tile","ol.source.OSM"]},{"link":"bing-maps.html","example":"bing-maps.html","title":"Bing Maps example","shortdesc":"Example of a Bing Maps layer.","tags":"bing, bing-maps","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"blend-modes.html","example":"blend-modes.html","title":"Blend modes example","shortdesc":"Shows how to change the canvas compositing / blending mode in post- and precompose eventhandlers.","tags":"blendmode, blend-mode, blend mode, blendingmode, blending-mode, blending mode, composition, compositing, canvas, vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"box-selection.html","example":"box-selection.html","title":"Box selection example","shortdesc":"Using a DragBox interaction to select features.","tags":"DragBox, feature, selection, box","requires":["ol.Map","ol.View","ol.events.condition","ol.format.GeoJSON","ol.interaction.DragBox","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Stroke","ol.style.Style"]},{"link":"brightness-contrast.html","example":"brightness-contrast.html","title":"Brightness/contrast example","shortdesc":"Example of brightness/contrast control on the client (WebGL only).","tags":"brightness, contrast, webgl","requires":["ol.Map","ol.View","ol.has","ol.layer.Tile","ol.source.MapQuest"]},{"link":"button-title.html","example":"button-title.html","title":"Custom tooltips example","shortdesc":"This example shows how to customize the buttons tooltips with Bootstrap.","tags":"custom, tooltip","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.OSM"]},{"link":"canvas-tiles.html","example":"canvas-tiles.html","title":"Canvas tiles example","shortdesc":"Renders tiles with coordinates for debugging.","tags":"layers, openstreetmap, canvas","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.proj","ol.source.OSM","ol.source.TileDebug"]},{"link":"center.html","example":"center.html","title":"Advanced View Positioning example","shortdesc":"This example demonstrates how a map's view can be adjusted so a geometry or coordinate is positioned at a specific pixel location.","tags":"center, rotation, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.format.GeoJSON","ol.geom.Point","ol.geom.SimpleGeometry","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"cluster.html","example":"cluster.html","title":"Clustering example","shortdesc":"Example of using <code>ol.source.Cluster</code>.","tags":"cluster, vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.Cluster","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"custom-controls.html","example":"custom-controls.html","title":"Custom control example","shortdesc":"Shows how to create custom controls.","tags":"custom, control","requires":["ol.Map","ol.View","ol.control","ol.control.Control","ol.layer.Tile","ol.source.OSM"]},{"link":"d3.html","example":"d3.html","title":"d3 integration example","shortdesc":"Example of using ol3 and d3 together.","tags":"d3","requires":["ol.Map","ol.View","ol.extent","ol.layer.Image","ol.layer.Tile","ol.proj","ol.source.ImageCanvas","ol.source.Stamen"]},{"link":"device-orientation.html","example":"device-orientation.html","title":"Device-Orientation example","shortdesc":"Listen to DeviceOrientation events.","tags":"orientation, openstreetmap","requires":["ol.DeviceOrientation","ol.Map","ol.View","ol.control","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"drag-and-drop-image-vector.html","example":"drag-and-drop-image-vector.html","title":"Drag-and-Drop image vector example","shortdesc":"Example of using the drag-and-drop interaction with a ol.source.ImageVector. Drag and drop GPX, GeoJSON, IGC, KML, or TopoJSON files on to the map. Each file is rendered to an image on the client.","tags":"drag-and-drop-image-vector, gpx, geojson, igc, kml, topojson, vector, image","requires":["ol.Map","ol.View","ol.format.GPX","ol.format.GeoJSON","ol.format.IGC","ol.format.KML","ol.format.TopoJSON","ol.interaction","ol.interaction.DragAndDrop","ol.layer.Image","ol.layer.Tile","ol.source.BingMaps","ol.source.ImageVector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"drag-and-drop.html","example":"drag-and-drop.html","title":"Drag-and-Drop example","shortdesc":"Example of using the drag-and-drop interaction. Drag and drop GPX, GeoJSON, IGC, KML, or TopoJSON files on to the map. There is no projection transform support, so this will only work with data in EPSG:4326 and EPSG:3857.","tags":"drag-and-drop, gpx, geojson, igc, kml, topojson","requires":["ol.Map","ol.View","ol.format.GPX","ol.format.GeoJSON","ol.format.IGC","ol.format.KML","ol.format.TopoJSON","ol.interaction","ol.interaction.DragAndDrop","ol.layer.Tile","ol.layer.Vector","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"drag-features.html","example":"drag-features.html","title":"Drag features example","shortdesc":"Example of a drag features interaction.","tags":"drag, feature, vector, editing","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.geom.Point","ol.geom.Polygon","ol.interaction","ol.interaction.Pointer","ol.layer.Tile","ol.layer.Vector","ol.source.TileJSON","ol.source.Vector","ol.style.Fill","ol.style.Icon","ol.style.Stroke","ol.style.Style"]},{"link":"drag-rotate-and-zoom.html","example":"drag-rotate-and-zoom.html","title":"Drag rotate and zoom example","shortdesc":"A single interaction to drag, rotate, and zoom.","tags":"drag, rotate, zoom, interaction","requires":["ol.Map","ol.View","ol.interaction","ol.interaction.DragRotateAndZoom","ol.layer.Tile","ol.source.MapQuest"]},{"link":"draw-and-modify-features.html","example":"draw-and-modify-features.html","title":"Draw and modify features example","shortdesc":"Example of using the ol.interaction.Draw interaction together with the ol.interaction.Modify interaction.","tags":"draw, edit, modify, vector, featureoverlay","requires":["ol.Collection","ol.Map","ol.View","ol.events.condition","ol.interaction.Draw","ol.interaction.Modify","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"draw-features.html","example":"draw-features.html","title":"Draw features example","shortdesc":"Example of using the ol.interaction.Draw interaction.","tags":"draw, edit, freehand, vector","requires":["ol.Map","ol.View","ol.geom.Polygon","ol.interaction.Draw","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"dynamic-data.html","example":"dynamic-data.html","title":"Dynamic data example","shortdesc":"Example of dynamic data.","tags":"dynamic-data","requires":["ol.Feature","ol.Map","ol.View","ol.geom.MultiPoint","ol.geom.Point","ol.layer.Tile","ol.source.MapQuest","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"earthquake-clusters.html","example":"earthquake-clusters.html","title":"Earthquake Clusters","shortdesc":"Demonstrates the use of style geometries to render source features of a cluster.","tags":"KML, vector, style, geometry, cluster","requires":["ol.Map","ol.View","ol.extent","ol.format.KML","ol.interaction","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.Cluster","ol.source.Stamen","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"epsg-4326.html","example":"epsg-4326.html","title":"EPSG:4326 example","shortdesc":"Example of a map in EPSG:4326.","tags":"epsg4326","requires":["ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Tile","ol.source.TileWMS"]},{"link":"export-map.html","example":"export-map.html","title":"Export map example","shortdesc":"Example of exporting a map as a PNG image.","tags":"export, png, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector"]},{"link":"feature-animation.html","example":"feature-animation.html","title":"Feature animation example","shortdesc":"Demonstrates how to animate features.","tags":"animation, vector, feature, flash","requires":["ol.Feature","ol.Map","ol.Observable","ol.View","ol.control","ol.easing","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Stroke"]},{"link":"fractal.html","example":"fractal.html","title":"Fractal Example","shortdesc":"Example of a fractal.","tags":"fractal, vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.layer.Vector","ol.source.Vector"]},{"link":"full-screen-drag-rotate-and-zoom.html","example":"full-screen-drag-rotate-and-zoom.html","title":"Full screen drag rotate and zoom example","shortdesc":"Example of drag rotate and zoom control with full screen effect.","tags":"full-screen, drag, rotate, zoom, bing, bing-maps","requires":["ol.Map","ol.View","ol.control","ol.control.FullScreen","ol.interaction","ol.interaction.DragRotateAndZoom","ol.layer.Tile","ol.source.BingMaps"]},{"link":"full-screen.html","example":"full-screen.html","title":"Full screen control example","shortdesc":"Example of a full screen control.","tags":"full-screen, bing, bing-maps","requires":["ol.Map","ol.View","ol.control","ol.control.FullScreen","ol.layer.Tile","ol.source.BingMaps"]},{"link":"geojson.html","example":"geojson.html","title":"GeoJSON example","shortdesc":"Example of GeoJSON features.","tags":"geojson, vector, openstreetmap","requires":["ol.Feature","ol.Map","ol.View","ol.control","ol.format.GeoJSON","ol.geom.Circle","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"geolocation-orientation.html","example":"geolocation-orientation.html","title":"Geolocation Tracking with Orientation","shortdesc":"Example of a geolocated and oriented map.","tags":"fullscreen, geolocation, orientation, mobile","requires":["ol.Geolocation","ol.Map","ol.Overlay","ol.View","ol.control","ol.geom.LineString","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"geolocation.html","example":"geolocation.html","title":"Geolocation example","shortdesc":"Example of a geolocation map.","tags":"geolocation, openstreetmap","requires":["ol.Feature","ol.Geolocation","ol.Map","ol.View","ol.control","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"getfeatureinfo-image.html","example":"getfeatureinfo-image.html","title":"GetFeatureInfo example (image layer)","shortdesc":"This example shows how to trigger WMS GetFeatureInfo requests on click for a WMS image layer.","tags":"getfeatureinfo, forEachLayerAtPixel","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.ImageWMS"]},{"link":"getfeatureinfo-tile.html","example":"getfeatureinfo-tile.html","title":"WMS GetFeatureInfo example (tile layer)","shortdesc":"This example shows how to trigger WMS GetFeatureInfo requests on click for a WMS tile layer.","tags":"getfeatureinfo, forEachLayerAtPixel","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.TileWMS"]},{"link":"gpx.html","example":"gpx.html","title":"GPX example","shortdesc":"Example of using the GPX source.","tags":"GPX","requires":["ol.Map","ol.View","ol.format.GPX","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"graticule.html","example":"graticule.html","title":"Graticule example","shortdesc":"This example shows how to add a graticule overlay to a map.","tags":"graticule","requires":["ol.Graticule","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.OSM","ol.style.Stroke"]},{"link":"heatmap-earthquakes.html","example":"heatmap-earthquakes.html","title":"Earthquakes heatmap","shortdesc":"Demonstrates the use of a heatmap layer.","tags":"heatmap, kml, vector, style","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Heatmap","ol.layer.Tile","ol.source.Stamen","ol.source.Vector"]},{"link":"hue-saturation.html","example":"hue-saturation.html","title":"Hue/saturation example","shortdesc":"Example of hue/saturation control on the client (WebGL only).","tags":"custom, control","requires":["ol.Map","ol.View","ol.has","ol.layer.Tile","ol.proj","ol.source.BingMaps"]},{"link":"icon-sprite-webgl.html","example":"icon-sprite-webgl.html","title":"Icon sprites with WebGL example","shortdesc":"Icon sprite with WebGL","tags":"webgl, icon, sprite, vector, point","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Icon","ol.style.Style"]},{"link":"icon.html","example":"icon.html","title":"Vector Icon Example","shortdesc":"Example using an icon to symbolize a point.","tags":"vector, style, icon, marker, popup","requires":["ol.Feature","ol.Map","ol.Overlay","ol.View","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.TileJSON","ol.source.Vector","ol.style.Icon","ol.style.Style"]},{"link":"igc.html","example":"igc.html","title":"IGC example","shortdesc":"Example of tracks recorded from multiple paraglider flights on the same day, read from an IGC file.","tags":"complex-geometry, closest-feature, igc, opencyclemap","requires":["ol.Attribution","ol.Feature","ol.Map","ol.View","ol.control","ol.format.IGC","ol.geom.LineString","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"image-filter.html","example":"image-filter.html","title":"Image Filter Example","shortdesc":"Apply a filter to imagery","tags":"filter, image manipulation","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.BingMaps"]},{"link":"image-load-events.html","example":"image-load-events.html","title":"Image load events example","shortdesc":"Example using image load events.","tags":"image, events, loading","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.ImageWMS"]},{"link":"image-vector-layer.html","example":"image-vector-layer.html","title":"Image vector layer example","shortdesc":"Example of an image vector layer.","tags":"vector, image","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Image","ol.layer.Tile","ol.layer.Vector","ol.source.ImageVector","ol.source.MapQuest","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"index.html","example":"index.html"},{"link":"kml-earthquakes.html","example":"kml-earthquakes.html","title":"Earthquakes in KML","shortdesc":"Demonstrates the use of a Shape symbolizer to render earthquake locations.","tags":"KML, vector, style, tooltip","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Tile","ol.layer.Vector","ol.source.Stamen","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"kml-timezones.html","example":"kml-timezones.html","title":"Timezones in KML","shortdesc":"Demonstrates rendering timezones from KML.","tags":"KML, vector, style","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Tile","ol.layer.Vector","ol.source.Stamen","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"kml.html","example":"kml.html","title":"KML example","shortdesc":"Example of using the KML source.","tags":"KML","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.BingMaps","ol.source.Vector"]},{"link":"layer-clipping-webgl.html","example":"layer-clipping-webgl.html","title":"Layer WebGL clipping example","shortdesc":"Layer WebGL clipping example.","tags":"clipping, webgl, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.has","ol.layer.Tile","ol.source.OSM"]},{"link":"layer-clipping.html","example":"layer-clipping.html","title":"Layer clipping example","shortdesc":"Layer clipping example","tags":"clipping, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"layer-extent.html","example":"layer-extent.html","title":"Limited Layer Extent","shortdesc":"Restricting layer rendering to a limited extent.","tags":"extent, tilejson","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.TileJSON"]},{"link":"layer-group.html","example":"layer-group.html","title":"Layer group example","shortdesc":"Example of a map with layer group.","tags":"tilejson, input, bind, group, layergroup","requires":["ol.Map","ol.View","ol.layer.Group","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileJSON"]},{"link":"layer-spy.html","example":"layer-spy.html","title":"Layer Spy Example","shortdesc":"View a portion of one layer over another","tags":"spy, image manipulation","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.BingMaps"]},{"link":"layer-swipe.html","example":"layer-swipe.html","title":"Layer Swipe example","shortdesc":"Example of a Layer swipe map.","tags":"swipe, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.BingMaps","ol.source.OSM"]},{"link":"lazy-source.html","example":"lazy-source.html","title":"Lazy Source","shortdesc":"Example of setting a layer source after construction.","tags":"source","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest"]},{"link":"line-arrows.html","example":"line-arrows.html","title":"LineString arrows example","shortdesc":"Example of drawing arrows for each line string segment.","tags":"draw, vector, arrow","requires":["ol.Map","ol.View","ol.geom.Point","ol.interaction.Draw","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Icon","ol.style.Stroke","ol.style.Style"]},{"link":"localized-openstreetmap.html","example":"localized-openstreetmap.html","title":"Localized OpenStreetMap example","shortdesc":"Example of a localized OpenStreetMap map with a custom tile server and a custom attribution.","tags":"cors, localized-openstreetmap, openseamap, openstreetmap","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"mapguide-untiled.html","example":"mapguide-untiled.html","title":"MapGuide untiled example","shortdesc":"Example of a untiled MapGuide map.","tags":"mapguide","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.ImageMapGuide"]},{"link":"mapquest.html","example":"mapquest.html","title":"MapQuest example","shortdesc":"Example of a MapQuest map.Shows how to create custom controls.","tags":"mapquest","requires":["ol.Map","ol.View","ol.layer.Group","ol.layer.Tile","ol.proj","ol.source.MapQuest"]},{"link":"measure.html","example":"measure.html","title":"Measure example","shortdesc":"Example of using the ol.interaction.Draw interaction for creating simple measuring application.","tags":"draw, edit, measure, vector","requires":["ol.Map","ol.Observable","ol.Overlay","ol.Sphere","ol.View","ol.geom.LineString","ol.geom.Polygon","ol.interaction.Draw","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"min-max-resolution.html","example":"min-max-resolution.html","title":"Min/max resolution example","shortdesc":"Show/hide layers depending on current view resolution.","tags":"minResolution, maxResolution, resolution","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM","ol.source.TileJSON"]},{"link":"mobile-full-screen.html","example":"mobile-full-screen.html","title":"Full-Screen Mobile","shortdesc":"Example of a full screen map.","tags":"fullscreen, geolocation, mobile","requires":["ol.Geolocation","ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"modify-features.html","example":"modify-features.html","title":"Modify features example","shortdesc":"Editing features with the modify interaction.","tags":"modify, edit, vector","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.interaction","ol.interaction.Modify","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector"]},{"link":"modify-test.html","example":"modify-test.html","title":"Modify features test","shortdesc":"Example for testing feature modification.","tags":"modify, edit, vector","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.interaction","ol.interaction.Modify","ol.interaction.Select","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"mouse-position.html","example":"mouse-position.html","title":"Mouse position example","shortdesc":"Example of a mouse position control, outside the map.","tags":"mouse-position, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.control.MousePosition","ol.coordinate","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"moveend.html","example":"moveend.html","title":"Moveend Example","shortdesc":"Use of the moveend event.","tags":"moveend, map, event","requires":["ol.Map","ol.View","ol.control","ol.extent","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"navigation-controls.html","example":"navigation-controls.html","title":"Navigation controls example","shortdesc":"Shows how to add navigation controls.","tags":"control, navigation, extent","requires":["ol.Map","ol.View","ol.control","ol.control.ZoomToExtent","ol.layer.Tile","ol.source.OSM"]},{"link":"overlay.html","example":"overlay.html","title":"Overlay example","shortdesc":"Demonstrates overlays.","tags":"overlay, popup, bootstrap, popover, mapquest, openaerial","requires":["ol.Map","ol.Overlay","ol.View","ol.coordinate","ol.layer.Tile","ol.proj","ol.source.MapQuest"]},{"link":"overviewmap-custom.html","example":"overviewmap-custom.html","title":"OverviewMap control example advanced","shortdesc":"Example of OverviewMap control with advanced customization.","tags":"overview, overviewmap","requires":["ol.Map","ol.View","ol.control","ol.control.OverviewMap","ol.interaction","ol.interaction.DragRotateAndZoom","ol.layer.Tile","ol.source.OSM"]},{"link":"overviewmap.html","example":"overviewmap.html","title":"OverviewMap control example","shortdesc":"Example of OverviewMap control.","tags":"overview, overviewmap","requires":["ol.Map","ol.View","ol.control","ol.control.OverviewMap","ol.layer.Tile","ol.source.OSM"]},{"link":"permalink.html","example":"permalink.html","title":"Permalink example","shortdesc":"Example on how to create permalinks.","tags":"permalink, openstreetmap, history","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"polygon-styles.html","example":"polygon-styles.html","title":"Custom styles for polygons","shortdesc":"Showing the vertices of a polygon with a custom style geometry.","tags":"polygon, vector, style, GeometryFunction","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.geom.MultiPoint","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"popup.html","example":"popup.html","title":"Popup example","shortdesc":"Uses an overlay to create a popup.","tags":"overlay, popup, mapquest, openaerial","requires":["ol.Map","ol.Overlay","ol.View","ol.coordinate","ol.layer.Tile","ol.proj","ol.source.TileJSON"]},{"link":"preload.html","example":"preload.html","title":"Preload example","shortdesc":"Example of tile preloading.","tags":"preload, bing","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"raster.html","example":"raster.html","title":"Raster Source","shortdesc":"Demonstrates pixelwise operations with a raster source.","tags":"raster, pixel","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.source.BingMaps","ol.source.Raster"]},{"link":"region-growing.html","example":"region-growing.html","title":"Region Growing","shortdesc":"Grow a region from a seed pixel","tags":"raster, region growing","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.proj","ol.source.BingMaps","ol.source.Raster"]},{"link":"regularshape.html","example":"regularshape.html","title":"Regular Shape example","shortdesc":"Example of some Regular Shape styles.","tags":"vector, symbol, regularshape, style, square, cross, star, triangle, x","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style"]},{"link":"rotation.html","example":"rotation.html","title":"Rotation example","shortdesc":"Example of a rotated map.","tags":"rotation, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"scale-line.html","example":"scale-line.html","title":"Scale line example","shortdesc":"Example of a scale line.","tags":"scale-line, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Tile","ol.source.OSM"]},{"link":"select-features.html","example":"select-features.html","title":"Select features example","shortdesc":"Example of using the Select interaction.","tags":"select, vector","requires":["ol.Map","ol.View","ol.events.condition","ol.format.GeoJSON","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector"]},{"link":"semi-transparent-layer.html","example":"semi-transparent-layer.html","title":"Semi-transparent layer example","shortdesc":"Example of a map with a semi-transparent layer.","tags":"transparent, mapquest, tilejson","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileJSON"]},{"link":"shaded-relief.html","example":"shaded-relief.html","title":"Shaded Relief","shortdesc":"Calculate shaded relief from elevation data","tags":"raster, shaded relief","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.source.Raster","ol.source.TileJSON","ol.source.XYZ"]},{"link":"side-by-side.html","example":"side-by-side.html","title":"Side-by-side example","shortdesc":"The three maps, one WebGL, one Canvas, one DOM, share the same center, resolution, rotation and layers.","tags":"side-by-side, canvas, webgl, dom, canvas, sync, object","requires":["ol.Map","ol.View","ol.has","ol.layer.Tile","ol.source.MapQuest"]},{"link":"simple.html","example":"simple.html","title":"Simple example","shortdesc":"Example of a simple map.","tags":"simple, openstreetmap, attribution","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"snap.html","example":"snap.html","title":"Snap interaction example","shortdesc":"Example of using the snap interaction together with draw and modify interactions.","tags":"draw, edit, modify, vector, snap","requires":["ol.Map","ol.View","ol.interaction","ol.interaction.Draw","ol.interaction.Modify","ol.interaction.Select","ol.interaction.Snap","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"sphere-mollweide.html","example":"sphere-mollweide.html","title":"Sphere Mollweide example","shortdesc":"Example of a Sphere Mollweide map with a Graticule component.","tags":"graticule, Mollweide, projection, proj4js","requires":["ol.Graticule","ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Vector","ol.proj.Projection","ol.source.Vector"]},{"link":"stamen.html","example":"stamen.html","title":"Stamen example","shortdesc":"Example of a Stamen tile source.","tags":"stamen, watercolor, terrain-labels, two-layers","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.Stamen"]},{"link":"static-image.html","example":"static-image.html","title":"Static image example","shortdesc":"Example of a static image layer.","tags":"static image, xkcd","requires":["ol.Attribution","ol.Map","ol.View","ol.extent","ol.layer.Image","ol.proj.Projection","ol.source.ImageStatic"]},{"link":"symbol-atlas-webgl.html","example":"symbol-atlas-webgl.html","title":"Symbols with WebGL example","shortdesc":"Using symbols in an atlas with WebGL.","tags":"webgl, symbol, atlas, vector, point","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.AtlasManager","ol.style.Circle","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style"]},{"link":"synthetic-lines.html","example":"synthetic-lines.html","title":"Synthetic lines example","shortdesc":"Synthetic lines example.","tags":"vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.layer.Vector","ol.source.Vector","ol.style.Stroke","ol.style.Style"]},{"link":"synthetic-points.html","example":"synthetic-points.html","title":"Synthetic points example","shortdesc":"Synthetic points example.","tags":"vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"teleport.html","example":"teleport.html","title":"Teleport example","shortdesc":"Example of moving a map from one target to another.","tags":"teleport, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"tile-load-events.html","example":"tile-load-events.html","title":"Tile load events example","shortdesc":"Example using tile load events.","tags":"tile, events, loading","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.TileJSON"]},{"link":"tile-vector.html","example":"tile-vector.html","title":"Tile vector example","shortdesc":"Example of vector tiles from openstreetmap.us.","tags":"custom, control","requires":["ol.Map","ol.View","ol.format.TopoJSON","ol.layer.Vector","ol.proj","ol.source.TileVector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"tilejson.html","example":"tilejson.html","title":"TileJSON example","shortdesc":"Example of a TileJSON layer.","tags":"tilejson","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.TileJSON"]},{"link":"tileutfgrid.html","example":"tileutfgrid.html","title":"TileUTFGrid example","shortdesc":"This example shows how to read data from a TileUTFGrid layer.","tags":"utfgrid, tileutfgrid, tilejson","requires":["ol.Map","ol.Overlay","ol.View","ol.layer.Tile","ol.source.TileJSON","ol.source.TileUTFGrid"]},{"link":"tissot.html","example":"tissot.html","title":"Tissot indicatrix example","shortdesc":"Draw Tissot's indicatrices on maps.","tags":"tissot, circle","requires":["ol.Feature","ol.Map","ol.Sphere","ol.View","ol.geom.Polygon","ol.layer.Tile","ol.layer.Vector","ol.source.TileWMS","ol.source.Vector"]},{"link":"topojson.html","example":"topojson.html","title":"TopoJSON example","shortdesc":"Demonstrates rendering of features from a TopoJSON topology.","tags":"topojson, vector, style","requires":["ol.Map","ol.View","ol.format.TopoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.TileJSON","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"vector-esri-edit.html","example":"vector-esri-edit.html","title":"esri ArcGIS REST Feature Service example with editing","shortdesc":"Example of using an ArcGIS REST Feature Service in an editing application.","tags":"vector, esri, ArcGIS, REST, Feature, Service, bbox, loading, server, edit, updateFeature, addFeature","requires":["ol.Attribution","ol.Map","ol.View","ol.format.EsriJSON","ol.interaction","ol.interaction.Draw","ol.interaction.Modify","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.proj","ol.source.Vector","ol.source.XYZ"]},{"link":"vector-esri.html","example":"vector-esri.html","title":"esri ArcGIS REST Feature Service example","shortdesc":"Example of using an ArcGIS REST Feature Service with a BBOX strategy.","tags":"vector, esri, ArcGIS, REST, Feature, Service, bbox, loading, server","requires":["ol.Attribution","ol.Map","ol.View","ol.format.EsriJSON","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.proj","ol.source.Vector","ol.source.XYZ","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"vector-labels.html","example":"vector-labels.html","title":"Vector labels example","shortdesc":"Example of GeoJSON features with labels.","tags":"geojson, vector, openstreetmap, label","requires":["ol.Feature","ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"vector-layer.html","example":"vector-layer.html","title":"Vector layer example","shortdesc":"Example of a countries vector layer with country information.","tags":"vector, osm, xml, loading, server","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"vector-osm.html","example":"vector-osm.html","title":"OSM XML example","shortdesc":"Example of using the OSM XML source.","tags":"vector, osm, xml, loading, server","requires":["ol.Map","ol.View","ol.control","ol.format.OSMXML","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.proj","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"vector-wfs.html","example":"vector-wfs.html","title":"WFS example","shortdesc":"Example of using WFS with a BBOX strategy.","tags":"vector, WFS, bbox, loading, server","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.source.BingMaps","ol.source.Vector","ol.style.Stroke","ol.style.Style"]},{"link":"wkt.html","example":"wkt.html","title":"WKT example","shortdesc":"Example of using the WKT parser.","tags":"wkt, well known text","requires":["ol.Feature","ol.Map","ol.View","ol.format.WKT","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector"]},{"link":"wms-capabilities.html","example":"wms-capabilities.html","title":"WMS GetCapabilities parsing example","shortdesc":"Example of parsing a WMS GetCapabilities response.","tags":"wms, capabilities, getcapabilities","requires":["ol.format.WMSCapabilities"]},{"link":"wms-custom-proj.html","example":"wms-custom-proj.html","title":"Tiled WMS with custom projection example","shortdesc":"Example of using custom coordinate transform functions.","tags":"wms, tile, tilelayer, projection","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Tile","ol.proj","ol.proj.Projection","ol.source.TileWMS"]},{"link":"wms-custom-tilegrid-512x256.html","example":"wms-custom-tilegrid-512x256.html","title":"WMS custom tile grid 512x256 example","shortdesc":"Example of a WMS layer with 512x256px tiles.","tags":"wms, tile, non-square","requires":["ol.Map","ol.View","ol.extent","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileWMS","ol.tilegrid.TileGrid"]},{"link":"wms-image-custom-proj.html","example":"wms-image-custom-proj.html","title":"Single image WMS with Proj4js projection example","shortdesc":"Example of integrating Proj4js for coordinate transforms.","tags":"wms, single image, proj4js, projection","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Image","ol.proj","ol.proj.Projection","ol.source.ImageWMS"]},{"link":"wms-image.html","example":"wms-image.html","title":"Single image WMS example","shortdesc":"Example of a single image WMS layer.","tags":"wms, image","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.source.ImageWMS","ol.source.MapQuest"]},{"link":"wms-no-proj.html","example":"wms-no-proj.html","title":"WMS without client projection example","shortdesc":"Example of two WMS layers using the projection EPSG:21781, which is unknown to the client.","tags":"wms, projection","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.proj.Projection","ol.source.ImageWMS","ol.source.TileWMS"]},{"link":"wms-tiled-wrap-180.html","example":"wms-tiled-wrap-180.html","title":"Tiled WMS wrap 180° meridian example","shortdesc":"Example of a tiled WMS layer that wraps across the 180° meridian.","tags":"wms, tile, dateline, wrap, 180","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest","ol.source.TileWMS"]},{"link":"wms-tiled.html","example":"wms-tiled.html","title":"Tiled WMS example","shortdesc":"Example of a tiled WMS layer.","tags":"wms, tile, tilelayer","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest","ol.source.TileWMS"]},{"link":"wmts-capabilities.html","example":"wmts-capabilities.html","title":"WMTS GetCapabilities parsing example","shortdesc":"Example of parsing a WMTS GetCapabilities response.","tags":"wmts, capabilities, getcapabilities","requires":["ol.format.WMTSCapabilities"]},{"link":"wmts-hidpi.html","example":"wmts-hidpi.html","title":"WMTS HiDPI example","shortdesc":"Example of a WMTS based HiDPI layer.","tags":"hidpi, retina, wmts","requires":["ol.Map","ol.View","ol.format.WMTSCapabilities","ol.has","ol.layer.Tile","ol.source.WMTS"]},{"link":"wmts-ign.html","example":"wmts-ign.html","title":"IGN WMTS example","shortdesc":"Demonstrates displaying IGN (France) WMTS layers.","tags":"french, ign, geoportail, wmts","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.extent","ol.layer.Tile","ol.proj","ol.source.WMTS","ol.tilegrid.WMTS"]},{"link":"wmts-layer-from-capabilities.html","example":"wmts-layer-from-capabilities.html","title":"WMTS Layer from capabilities example","shortdesc":"Example of a WMTS source created from a WMTS capabilities document.","tags":"wmts, capabilities, getcapabilities","requires":["ol.Map","ol.View","ol.format.WMTSCapabilities","ol.layer.Tile","ol.source.OSM","ol.source.WMTS"]},{"link":"wmts.html","example":"wmts.html","title":"WMTS example","shortdesc":"Example of a WMTS source.","tags":"wmts","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.extent","ol.layer.Tile","ol.proj","ol.source.OSM","ol.source.WMTS","ol.tilegrid.WMTS"]},{"link":"xyz-esri-4326-512.html","example":"xyz-esri-4326-512.html","title":"XYZ Esri EPSG:4326 tileSize 512 example","shortdesc":"Example of a XYZ source in EPSG:4326 using Esri 512x512 tiles.","tags":"xyz, esri, tilesize, custom projection","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.XYZ"]},{"link":"xyz-esri.html","example":"xyz-esri.html","title":"XYZ Esri example","shortdesc":"Example of a XYZ source using Esri tiles.","tags":"xyz, esri, arcgis rest","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.XYZ"]},{"link":"xyz-retina.html","example":"xyz-retina.html","title":"XYZ Retina tiles example","shortdesc":"Example of Retina / HiDPI mercator tiles (512x512px) available as XYZ.","tags":"retina, hidpi, xyz, maptiler, @2x, devicePixelRatio","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.OSM","ol.source.XYZ"]},{"link":"xyz.html","example":"xyz.html","title":"XYZ Example","shortdesc":"Example of a XYZ source.","tags":"xyz","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM","ol.source.XYZ"]},{"link":"zoom-constrained.html","example":"zoom-constrained.html","title":"Zoom Constrained Example","shortdesc":"Example of a zoom constrained view.","tags":"bing, zoom, minZoom, maxZoom","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"zoomify.html","example":"zoomify.html","title":"Zoomify example","shortdesc":"Example of a Zoomify source.","tags":"zoomify, deep zoom, pixel, projection","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.proj.Projection","ol.source.Zoomify"]},{"link":"zoomslider.html","example":"zoomslider.html","title":"Zoom slider example","shortdesc":"Example of various ZoomSlider controls.","tags":"zoom, zoomslider, slider, style, styling, css, control","requires":["ol.Map","ol.View","ol.control.ZoomSlider","ol.layer.Tile","ol.source.MapQuest"]}],"index":{"180":{"111":1},"512":{"118":1},"3857":{"16":1},"4326":{"16":1,"23":1,"118":1},"21781":{"110":1},"example":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"47":1,"48":1,"49":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"72":1,"73":1,"76":1,"77":1,"78":1,"79":1,"80":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"of":{"0":1,"2":1,"3":1,"4":1,"7":1,"11":1,"13":1,"15":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"34":1,"36":1,"37":1,"40":1,"43":1,"45":1,"47":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"61":1,"64":1,"65":1,"68":1,"69":1,"71":1,"73":1,"76":1,"77":1,"78":1,"79":1,"80":1,"83":1,"84":1,"85":1,"86":1,"87":1,"91":1,"93":1,"94":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"an":{"0":1,"15":1,"39":1,"40":1,"43":1,"72":1,"88":1,"98":1,"99":1},"accessible":{"0":1},"map":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"accessibility":{"0":1},"tabindex":{"0":1},"ol":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"view":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"control":{"0":1,"1":1,"3":1,"7":1,"9":1,"10":1,"12":1,"14":1,"23":1,"24":1,"25":1,"27":1,"28":1,"29":1,"30":1,"31":1,"37":1,"40":1,"48":1,"49":1,"53":1,"56":1,"60":1,"64":1,"65":1,"66":1,"68":1,"69":1,"70":1,"77":1,"78":1,"83":1,"91":1,"93":1,"102":1,"106":1,"108":1,"115":1,"117":1,"121":1,"124":1},"layer":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"tile":{"0":1,"1":1,"2":1,"3":1,"4":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"27":1,"28":1,"29":1,"30":1,"31":1,"33":1,"34":1,"35":1,"36":1,"37":1,"39":1,"40":1,"41":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"58":1,"59":1,"60":1,"61":1,"62":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"72":1,"73":1,"74":1,"75":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"86":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"106":1,"107":1,"109":1,"110":1,"111":1,"112":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"source":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1},"osm":{"0":1,"1":1,"3":1,"6":1,"8":1,"9":1,"10":1,"12":1,"14":1,"24":1,"25":1,"29":1,"30":1,"31":1,"35":1,"40":1,"48":1,"49":1,"53":1,"56":1,"60":1,"64":1,"65":1,"66":1,"68":1,"69":1,"70":1,"77":1,"78":1,"83":1,"91":1,"101":1,"102":1,"104":1,"116":1,"117":1,"120":1,"121":1},"demonstrates":{"1":1,"10":1,"22":1,"25":1,"36":1,"45":1,"46":1,"67":1,"74":1,"97":1,"115":1},"animated":{"1":1},"pan":{"1":1},"zoom":{"1":1,"18":1,"27":1,"122":1,"123":1,"124":1},"and":{"1":1,"5":1,"13":1,"15":1,"16":1,"18":1,"19":1,"27":1,"30":1,"56":1,"82":1,"84":1},"rotation":{"1":1,"10":1,"77":1,"82":1},"animation":{"1":1,"25":1},"proj":{"1":1,"9":1,"13":1,"14":1,"25":1,"30":1,"34":1,"35":1,"37":1,"41":1,"47":1,"50":1,"51":1,"52":1,"58":1,"59":1,"64":1,"65":1,"67":1,"72":1,"75":1,"80":1,"85":1,"86":1,"87":1,"93":1,"98":1,"99":1,"102":1,"106":1,"107":1,"108":1,"110":1,"115":1,"117":1,"118":1,"119":1,"120":1,"123":1},"a":{"2":1,"3":1,"4":1,"6":1,"10":1,"15":1,"17":1,"18":1,"22":1,"23":1,"24":1,"26":1,"28":1,"30":1,"31":1,"32":1,"33":1,"35":1,"36":1,"39":1,"41":1,"45":1,"50":1,"51":1,"52":1,"53":1,"54":1,"56":1,"57":1,"58":1,"61":1,"64":1,"71":1,"72":1,"74":1,"75":1,"77":1,"78":1,"80":1,"83":1,"85":1,"86":1,"87":1,"91":1,"94":1,"95":1,"97":1,"99":1,"101":1,"103":1,"105":1,"107":1,"109":1,"111":1,"112":1,"113":1,"114":1,"116":1,"117":1,"118":1,"119":1,"121":1,"122":1,"123":1},"tiled":{"2":1,"106":1,"111":1,"112":1},"arcgis":{"2":1,"98":1,"99":1,"119":1},"mapserver":{"2":1},"tilelayer":{"2":1,"106":1,"112":1},"mapquest":{"2":1,"7":1,"11":1,"18":1,"19":1,"20":1,"21":1,"43":1,"51":1,"54":1,"55":1,"58":1,"59":1,"62":1,"67":1,"72":1,"79":1,"80":1,"82":1,"84":1,"100":1,"101":1,"107":1,"109":1,"111":1,"112":1,"124":1},"tilearcgisrest":{"2":1},"attributions":{"3":1},"visibily":{"3":1},"change":{"3":1,"5":1},"on":{"3":1,"7":1,"15":1,"16":1,"32":1,"33":1,"37":1,"40":1,"60":1,"70":1,"96":1},"resize":{"3":1},"to":{"3":1,"5":1,"6":1,"8":1,"12":1,"14":1,"15":1,"16":1,"18":1,"22":1,"25":1,"32":1,"33":1,"35":1,"39":1,"41":1,"45":1,"50":1,"58":1,"66":1,"70":1,"72":1,"91":1,"95":1,"110":1},"collapse":{"3":1},"them":{"3":1},"small":{"3":1},"maps":{"3":1,"4":1,"27":1,"28":1,"82":1,"96":1},"openstreetmap":{"3":1,"9":1,"10":1,"14":1,"24":1,"29":1,"31":1,"48":1,"49":1,"53":1,"56":1,"64":1,"70":1,"77":1,"78":1,"83":1,"91":1,"93":1,"100":1},"attribution":{"3":1,"40":1,"56":1,"83":1,"87":1,"98":1,"99":1,"106":1,"108":1,"110":1,"115":1,"117":1,"118":1,"119":1,"120":1,"121":1},"bing":{"4":1,"27":1,"28":1,"73":1,"122":1},"bingmaps":{"4":1,"15":1,"16":1,"27":1,"28":1,"34":1,"37":1,"41":1,"47":1,"52":1,"53":1,"61":1,"73":1,"74":1,"75":1,"102":1,"103":1,"122":1},"shows":{"5":1,"8":1,"12":1,"32":1,"33":1,"35":1,"58":1,"66":1,"95":1},"how":{"5":1,"8":1,"10":1,"12":1,"25":1,"32":1,"33":1,"35":1,"58":1,"66":1,"70":1,"95":1},"the":{"5":1,"7":1,"8":1,"15":1,"16":1,"19":1,"20":1,"22":1,"34":1,"36":1,"37":1,"40":1,"45":1,"47":1,"59":1,"62":1,"64":1,"65":1,"71":1,"79":1,"82":1,"84":1,"102":1,"104":1,"110":1,"111":1},"canvas":{"5":1,"9":1,"82":1},"compositing":{"5":1},"blending":{"5":1},"mode":{"5":1},"in":{"5":1,"16":1,"23":1,"45":1,"46":1,"88":1,"98":1,"118":1},"post":{"5":1},"precompose":{"5":1},"eventhandlers":{"5":1},"blend":{"5":1},"modes":{"5":1},"blendmode":{"5":1},"blendingmode":{"5":1},"composition":{"5":1},"vector":{"5":1,"6":1,"10":1,"11":1,"15":1,"16":1,"17":1,"19":1,"20":1,"22":1,"24":1,"25":1,"26":1,"29":1,"31":1,"34":1,"36":1,"38":1,"39":1,"40":1,"43":1,"45":1,"46":1,"47":1,"55":1,"59":1,"62":1,"63":1,"71":1,"76":1,"79":1,"84":1,"85":1,"88":1,"89":1,"90":1,"93":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1},"feature":{"5":1,"6":1,"11":1,"17":1,"21":1,"25":1,"26":1,"29":1,"31":1,"38":1,"39":1,"40":1,"63":1,"76":1,"88":1,"89":1,"90":1,"96":1,"98":1,"99":1,"100":1,"104":1},"geom":{"5":1,"10":1,"11":1,"17":1,"20":1,"21":1,"25":1,"26":1,"29":1,"30":1,"31":1,"38":1,"39":1,"40":1,"55":1,"59":1,"71":1,"76":1,"88":1,"89":1,"90":1,"96":1},"point":{"5":1,"10":1,"11":1,"17":1,"21":1,"25":1,"31":1,"38":1,"39":1,"40":1,"55":1,"76":1,"88":1,"90":1},"style":{"5":1,"6":1,"10":1,"11":1,"15":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"25":1,"29":1,"31":1,"34":1,"35":1,"36":1,"38":1,"39":1,"40":1,"43":1,"45":1,"46":1,"55":1,"59":1,"63":1,"71":1,"76":1,"84":1,"88":1,"89":1,"90":1,"93":1,"97":1,"99":1,"100":1,"101":1,"102":1,"103":1,"124":1},"circle":{"5":1,"10":1,"11":1,"15":1,"16":1,"19":1,"20":1,"21":1,"22":1,"25":1,"29":1,"31":1,"34":1,"40":1,"45":1,"59":1,"63":1,"71":1,"84":1,"88":1,"90":1,"96":1,"100":1,"102":1},"fill":{"5":1,"10":1,"11":1,"15":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"29":1,"31":1,"34":1,"40":1,"43":1,"45":1,"46":1,"59":1,"63":1,"71":1,"76":1,"84":1,"88":1,"90":1,"93":1,"97":1,"99":1,"100":1,"101":1,"102":1},"stroke":{"5":1,"6":1,"10":1,"11":1,"15":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"25":1,"29":1,"31":1,"34":1,"35":1,"40":1,"43":1,"45":1,"46":1,"55":1,"59":1,"63":1,"71":1,"76":1,"84":1,"88":1,"89":1,"90":1,"93":1,"97":1,"99":1,"100":1,"101":1,"102":1,"103":1},"using":{"6":1,"11":1,"13":1,"15":1,"16":1,"19":1,"20":1,"34":1,"39":1,"42":1,"47":1,"59":1,"79":1,"84":1,"88":1,"92":1,"98":1,"99":1,"102":1,"103":1,"104":1,"106":1,"110":1,"118":1,"119":1},"dragbox":{"6":1},"interaction":{"6":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"22":1,"27":1,"55":1,"59":1,"62":1,"63":1,"68":1,"79":1,"84":1,"98":1},"select":{"6":1,"22":1,"62":1,"63":1,"79":1,"84":1,"98":1},"features":{"6":1,"17":1,"19":1,"20":1,"22":1,"25":1,"29":1,"62":1,"63":1,"79":1,"97":1,"100":1},"box":{"6":1},"selection":{"6":1},"events":{"6":1,"14":1,"19":1,"42":1,"79":1,"92":1},"condition":{"6":1,"19":1,"79":1},"format":{"6":1,"10":1,"15":1,"16":1,"22":1,"24":1,"29":1,"34":1,"36":1,"40":1,"43":1,"45":1,"46":1,"47":1,"62":1,"63":1,"71":1,"79":1,"85":1,"93":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"113":1,"114":1,"116":1},"geojson":{"6":1,"10":1,"15":1,"16":1,"24":1,"29":1,"43":1,"62":1,"63":1,"71":1,"79":1,"85":1,"100":1,"101":1,"103":1},"brightness":{"7":1},"contrast":{"7":1},"client":{"7":1,"15":1,"37":1,"110":1},"webgl":{"7":1,"37":1,"38":1,"48":1,"82":1,"88":1},"only":{"7":1,"16":1,"37":1},"has":{"7":1,"37":1,"48":1,"82":1,"114":1},"this":{"8":1,"10":1,"16":1,"32":1,"33":1,"35":1,"95":1},"customize":{"8":1},"buttons":{"8":1},"tooltips":{"8":1},"with":{"8":1,"9":1,"15":1,"16":1,"19":1,"27":1,"30":1,"38":1,"51":1,"56":1,"62":1,"68":1,"71":1,"74":1,"80":1,"84":1,"85":1,"88":1,"98":1,"99":1,"100":1,"101":1,"103":1,"106":1,"107":1,"108":1},"bootstrap":{"8":1,"67":1},"custom":{"8":1,"12":1,"37":1,"56":1,"58":1,"71":1,"93":1,"106":1,"107":1,"118":1},"tooltip":{"8":1,"45":1},"renders":{"9":1},"tiles":{"9":1,"93":1,"107":1,"118":1,"119":1,"120":1},"coordinates":{"9":1},"for":{"9":1,"32":1,"33":1,"55":1,"59":1,"63":1,"71":1,"108":1},"debugging":{"9":1},"layers":{"9":1,"60":1,"82":1,"86":1,"110":1,"115":1},"tiledebug":{"9":1},"s":{"10":1,"96":1},"can":{"10":1},"be":{"10":1},"adjusted":{"10":1},"so":{"10":1,"16":1},"geometry":{"10":1,"22":1,"40":1,"71":1},"or":{"10":1,"15":1,"16":1},"coordinate":{"10":1,"64":1,"67":1,"72":1,"106":1,"108":1},"is":{"10":1,"15":1,"16":1,"110":1},"positioned":{"10":1},"at":{"10":1},"specific":{"10":1},"pixel":{"10":1,"74":1,"75":1,"123":1},"location":{"10":1},"advanced":{"10":1,"68":1},"positioning":{"10":1},"center":{"10":1,"82":1},"simplegeometry":{"10":1},"code":{"11":1},"cluster":{"11":1,"22":1},"clustering":{"11":1},"text":{"11":1,"22":1,"100":1,"101":1,"104":1},"create":{"12":1,"58":1,"70":1,"72":1},"controls":{"12":1,"58":1,"66":1,"124":1},"ol3":{"13":1},"d3":{"13":1},"together":{"13":1,"19":1,"84":1},"integration":{"13":1},"extent":{"13":1,"22":1,"50":1,"65":1,"66":1,"87":1,"107":1,"115":1,"117":1},"image":{"13":1,"15":1,"24":1,"32":1,"41":1,"42":1,"43":1,"52":1,"57":1,"74":1,"75":1,"81":1,"87":1,"108":1,"109":1,"110":1},"imagecanvas":{"13":1},"stamen":{"13":1,"22":1,"36":1,"45":1,"46":1,"86":1},"listen":{"14":1},"deviceorientation":{"14":1},"device":{"14":1},"orientation":{"14":1,"30":1},"drag":{"15":1,"16":1,"17":1,"18":1,"27":1},"drop":{"15":1,"16":1},"imagevector":{"15":1,"43":1},"gpx":{"15":1,"16":1,"34":1},"igc":{"15":1,"16":1,"40":1},"kml":{"15":1,"16":1,"22":1,"36":1,"45":1,"46":1,"47":1},"topojson":{"15":1,"16":1,"93":1,"97":1},"files":{"15":1,"16":1},"each":{"15":1,"55":1},"file":{"15":1,"40":1},"rendered":{"15":1},"draganddrop":{"15":1,"16":1},"there":{"16":1},"no":{"16":1},"projection":{"16":1,"85":1,"87":1,"106":1,"108":1,"110":1,"118":1,"123":1},"transform":{"16":1,"106":1},"support":{"16":1},"will":{"16":1},"work":{"16":1},"data":{"16":1,"21":1,"81":1,"95":1},"epsg":{"16":1,"23":1,"110":1,"118":1},"editing":{"17":1,"62":1,"98":1},"linestring":{"17":1,"26":1,"30":1,"40":1,"55":1,"59":1,"89":1,"90":1},"polygon":{"17":1,"20":1,"59":1,"71":1,"96":1},"pointer":{"17":1},"tilejson":{"17":1,"39":1,"50":1,"51":1,"60":1,"72":1,"80":1,"81":1,"92":1,"94":1,"95":1,"97":1},"icon":{"17":1,"38":1,"39":1,"55":1},"single":{"18":1,"108":1,"109":1},"rotate":{"18":1,"27":1},"dragrotateandzoom":{"18":1,"27":1,"68":1},"draw":{"19":1,"20":1,"55":1,"59":1,"84":1,"96":1,"98":1},"modify":{"19":1,"62":1,"63":1,"84":1,"98":1},"edit":{"19":1,"20":1,"59":1,"62":1,"63":1,"84":1,"98":1},"featureoverlay":{"19":1},"collection":{"19":1},"freehand":{"20":1},"dynamic":{"21":1},"multipoint":{"21":1,"71":1},"use":{"22":1,"36":1,"45":1,"65":1},"geometries":{"22":1},"render":{"22":1,"45":1},"earthquake":{"22":1,"45":1},"clusters":{"22":1},"regularshape":{"22":1,"76":1,"88":1},"epsg4326":{"23":1},"scaleline":{"23":1,"78":1,"106":1,"108":1},"tilewms":{"23":1,"33":1,"96":1,"106":1,"107":1,"110":1,"111":1,"112":1},"exporting":{"24":1},"as":{"24":1,"120":1},"png":{"24":1},"export":{"24":1},"animate":{"25":1},"flash":{"25":1},"observable":{"25":1,"59":1},"easing":{"25":1},"fractal":{"26":1},"full":{"27":1,"28":1,"61":1},"screen":{"27":1,"28":1,"61":1},"effect":{"27":1},"fullscreen":{"27":1,"28":1,"30":1,"61":1},"geolocated":{"30":1},"oriented":{"30":1},"geolocation":{"30":1,"31":1,"61":1},"tracking":{"30":1},"mobile":{"30":1,"61":1},"overlay":{"30":1,"35":1,"39":1,"59":1,"67":1,"72":1,"95":1},"trigger":{"32":1,"33":1},"wms":{"32":1,"33":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1},"getfeatureinfo":{"32":1,"33":1},"requests":{"32":1,"33":1},"click":{"32":1,"33":1},"foreachlayeratpixel":{"32":1,"33":1},"imagewms":{"32":1,"42":1,"108":1,"109":1,"110":1},"add":{"35":1,"66":1},"graticule":{"35":1,"85":1},"heatmap":{"36":1},"earthquakes":{"36":1,"45":1},"hue":{"37":1},"saturation":{"37":1},"sprite":{"38":1},"sprites":{"38":1},"symbolize":{"39":1},"marker":{"39":1},"popup":{"39":1,"67":1,"72":1},"tracks":{"40":1},"recorded":{"40":1},"from":{"40":1,"46":1,"75":1,"81":1,"91":1,"93":1,"95":1,"97":1,"116":1},"multiple":{"40":1},"paraglider":{"40":1},"flights":{"40":1},"same":{"40":1,"82":1},"day":{"40":1},"read":{"40":1,"95":1},"complex":{"40":1},"closest":{"40":1},"opencyclemap":{"40":1},"apply":{"41":1},"filter":{"41":1},"imagery":{"41":1},"manipulation":{"41":1,"52":1},"load":{"42":1,"92":1},"loading":{"42":1,"92":1,"98":1,"99":1,"101":1,"102":1,"103":1},"shape":{"45":1,"76":1},"symbolizer":{"45":1},"locations":{"45":1},"rendering":{"46":1,"50":1,"97":1},"timezones":{"46":1},"clipping":{"48":1,"49":1},"restricting":{"50":1},"limited":{"50":1},"group":{"51":1,"58":1},"input":{"51":1},"bind":{"51":1},"layergroup":{"51":1},"portion":{"52":1},"one":{"52":1,"82":1,"91":1},"over":{"52":1},"another":{"52":1,"91":1},"spy":{"52":1},"swipe":{"53":1},"setting":{"54":1},"after":{"54":1},"construction":{"54":1},"lazy":{"54":1},"drawing":{"55":1},"arrows":{"55":1},"line":{"55":1,"78":1},"string":{"55":1},"segment":{"55":1},"arrow":{"55":1},"localized":{"56":1},"server":{"56":1,"98":1,"99":1,"101":1,"102":1,"103":1},"cors":{"56":1},"openseamap":{"56":1},"untiled":{"57":1},"mapguide":{"57":1},"imagemapguide":{"57":1},"creating":{"59":1},"simple":{"59":1,"83":1},"measuring":{"59":1},"application":{"59":1,"98":1},"measure":{"59":1},"sphere":{"59":1,"85":1,"96":1},"show":{"60":1},"hide":{"60":1},"depending":{"60":1},"current":{"60":1},"resolution":{"60":1,"82":1},"min":{"60":1},"max":{"60":1},"minresolution":{"60":1},"maxresolution":{"60":1},"testing":{"63":1},"modification":{"63":1},"test":{"63":1},"mouse":{"64":1},"position":{"64":1},"outside":{"64":1},"mouseposition":{"64":1},"moveend":{"65":1},"event":{"65":1},"navigation":{"66":1},"zoomtoextent":{"66":1},"overlays":{"67":1},"popover":{"67":1},"openaerial":{"67":1,"72":1},"overviewmap":{"68":1,"69":1},"customization":{"68":1},"overview":{"68":1,"69":1},"permalinks":{"70":1},"permalink":{"70":1},"history":{"70":1},"showing":{"71":1},"vertices":{"71":1},"styles":{"71":1,"76":1},"polygons":{"71":1},"geometryfunction":{"71":1},"uses":{"72":1},"preloading":{"73":1},"preload":{"73":1},"pixelwise":{"74":1},"operations":{"74":1},"raster":{"74":1,"75":1,"81":1},"grow":{"75":1},"region":{"75":1},"seed":{"75":1},"growing":{"75":1},"some":{"76":1},"regular":{"76":1},"symbol":{"76":1,"88":1},"square":{"76":1,"107":1},"cross":{"76":1},"star":{"76":1},"triangle":{"76":1},"x":{"76":1},"rotated":{"77":1},"scale":{"78":1},"semi":{"80":1},"transparent":{"80":1},"calculate":{"81":1},"shaded":{"81":1},"relief":{"81":1},"elevation":{"81":1},"xyz":{"81":1,"98":1,"99":1,"118":1,"119":1,"120":1,"121":1},"three":{"82":1},"dom":{"82":1},"share":{"82":1},"side":{"82":1},"by":{"82":1},"sync":{"82":1},"object":{"82":1},"snap":{"84":1},"interactions":{"84":1},"mollweide":{"85":1},"component":{"85":1},"proj4js":{"85":1,"108":1},"watercolor":{"86":1},"terrain":{"86":1},"labels":{"86":1,"100":1},"two":{"86":1,"110":1},"static":{"87":1},"xkcd":{"87":1},"imagestatic":{"87":1},"symbols":{"88":1},"atlas":{"88":1},"atlasmanager":{"88":1},"synthetic":{"89":1,"90":1},"lines":{"89":1},"points":{"90":1},"moving":{"91":1},"target":{"91":1},"teleport":{"91":1},"us":{"93":1},"tilevector":{"93":1},"tileutfgrid":{"95":1},"utfgrid":{"95":1},"tissot":{"96":1},"indicatrices":{"96":1},"indicatrix":{"96":1},"topology":{"97":1},"rest":{"98":1,"99":1,"119":1},"service":{"98":1,"99":1},"esri":{"98":1,"99":1,"118":1,"119":1},"bbox":{"98":1,"99":1,"103":1},"updatefeature":{"98":1},"addfeature":{"98":1},"esrijson":{"98":1,"99":1},"loadingstrategy":{"98":1,"99":1,"102":1,"103":1},"strategy":{"99":1,"103":1},"label":{"100":1},"countries":{"101":1},"country":{"101":1},"information":{"101":1},"xml":{"101":1,"102":1},"osmxml":{"102":1},"wfs":{"103":1},"wkt":{"104":1},"parser":{"104":1},"well":{"104":1},"known":{"104":1},"parsing":{"105":1,"113":1},"getcapabilities":{"105":1,"113":1,"116":1},"response":{"105":1,"113":1},"capabilities":{"105":1,"113":1,"116":1},"wmscapabilities":{"105":1},"functions":{"106":1},"512x256px":{"107":1},"grid":{"107":1},"512x256":{"107":1},"non":{"107":1},"tilegrid":{"107":1,"115":1,"117":1},"integrating":{"108":1},"transforms":{"108":1},"which":{"110":1},"unknown":{"110":1},"without":{"110":1},"that":{"111":1},"wraps":{"111":1},"across":{"111":1},"meridian":{"111":1},"wrap":{"111":1},"dateline":{"111":1},"wmts":{"113":1,"114":1,"115":1,"116":1,"117":1},"wmtscapabilities":{"113":1,"114":1,"116":1},"based":{"114":1},"hidpi":{"114":1,"120":1},"retina":{"114":1,"120":1},"displaying":{"115":1},"ign":{"115":1},"france":{"115":1},"french":{"115":1},"geoportail":{"115":1},"created":{"116":1},"document":{"116":1},"512x512":{"118":1},"tilesize":{"118":1},"mercator":{"120":1},"512x512px":{"120":1},"available":{"120":1},"maptiler":{"120":1},"2x":{"120":1},"devicepixelratio":{"120":1},"constrained":{"122":1},"minzoom":{"122":1},"maxzoom":{"122":1},"zoomify":{"123":1},"deep":{"123":1},"various":{"124":1},"zoomslider":{"124":1},"slider":{"124":1},"styling":{"124":1},"css":{"124":1}}}